using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace Ants
{
    public class Food
    {
        public const float DetectRange = 5;
        public const float fRadius = 3;

        public bool Empty
        {
            get { return (fAmount == 0); }
        }

        public float Amount
        {
            get { return fAmount; }
            set { fAmount = value; }
        }

        public PointF Position
        {
            get { return fPosition; }
        }

        float fAmount;
        PointF fPosition;

        public Food(PointF aPosition, float aAmount)
        {
            fAmount = aAmount;
            fPosition = aPosition;
        }

        public bool Contains(PointF aPoint, float aRadius)
        {
            if (World.IsPointInRadius(aPoint, fPosition, aRadius))
                return true;

            return false;
        }

        public void TakeNestFood(float aAmount)
        {
                fAmount -= aAmount;
        }

        public void TakeFood(float aAmount)
        {
                fAmount -= aAmount;
        }

        public void DepositFood(float aAmount)
        {
            fAmount += aAmount;
        }
    }
}
